【解决】PyTorch不再支持此GPU,因为它太旧了;源代码编译PyTorch

不二 • 2231 次浏览 • 0 个回复 • 2020年11月27日

用户提问内容:

PyTorch no longer supports this GPU because it is too old.

请问如何能知道pytorch支持哪些显卡?

如何解决:

根据官方的回答,具体可以前往PyTorch不再支持此GPU,因为它太旧了。

为了减少预编译的二进制文件的大小(已淘汰),我们必须删除少数人使用的一些旧GPU架构。
您仍然可以通过从源代码进行编译来使用它,并且仍然可以像以前一样工作!

就是您可以从源代码进行编译以获得GPU支持。据我所知,二进制文件是为cuda计算能力>= 5而构建的。

编译方法

如果从源代码安装,则将需要Python 3.6.2或更高版本以及C ++ 14编译器。另外,我们强烈建议您安装Anaconda环境。您将获得高质量的BLAS库(MKL),并且无论您的Linux发行版如何,您都可以获得受控的依赖项版本。

一旦安装了Anaconda,请按照以下说明进行操作。

如果要使用CUDA支持进行编译,请安装

  • NVIDIA CUDA 9.2或以上
  • NVIDIA cuDNN v7或更高版本
  • 与CUDA兼容的编译器注意:有关各种支持的CUDA,CUDA驱动程序和NVIDIA硬件的cuDNN版本,您可以参考cuDNN支持列表。
  • 如果要禁用CUDA支持,请导出环境变量USE_CUDA=0。可在中找到其他可能有用的环境变量setup.py。

如果您要为NVIDIA的Jetson平台(Jetson Nano,TX1,TX2,AGX Xavier)而构建,请在此处获得安装PyTorch for Jetson Nano的说明。

原文参考:PyTorch no longer supports this GPU because it is too old.


原创文章,转载请注明 :【解决】PyTorch不再支持此GPU,因为它太旧了;源代码编译PyTorch - pytorch中文网
原文出处: https://ptorch.com/news/257.html
问题交流群 :168117787
提交评论
要回复文章请先登录注册
用户评论
  • 没有评论
Pytorch是什么?关于Pytorch! Appium 下配置ANDROID_HOME和JAVA_HOME环境变量